Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.metadata
Class ManagedMetric

    java.lang.Object
      org.springframework.jmx.export.metadata.AbstractJmxAttribute
          org.springframework.jmx.export.metadata.ManagedMetric

    public class ManagedMetric

extends AbstractJmxAttribute

Metadata that indicates to expose a given bean property as a JMX attribute, with additional descriptor properties that indicate that the attribute is a metric. Only valid when used on a JavaBean getter.

Since:
  3.0
Author:
  Jennifer Hickey
See Also:
  `MetadataMBeanInfoAssembler`

Constructor Summary
`ManagedMetric()`

Method Summary
`java.lang.String` | `getCategory()` The category of this metric (ex.
`java.lang.String` | `getDisplayName()` A display name for this metric.
`MetricType` | `getMetricType()` A description of how this metric's values change over time.
`int` | `getPersistPeriod()` The persist period for this metric.
`java.lang.String` | `getPersistPolicy()` The persist policy for this metric.
`java.lang.String` | `getUnit()` The expected unit of measurement values.
`void` | `setCategory(java.lang.String category)` The category of this metric (ex.
`void` | `setDisplayName(java.lang.String displayName)` A display name for this metric.
`void` | `setMetricType(MetricType metricType)` A description of how this metric's values change over time.
`void` | `setPersistPeriod(int persistPeriod)` The persist period for this metric.
`void` | `setPersistPolicy(java.lang.String persistPolicy)` The persist policy for this metric.
`void` | `setUnit(java.lang.String unit)` The expected unit of measurement values.

Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute
`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedMetric

    public ManagedMetric()

Method Detail

### setCategory

    public void setCategory(java.lang.String category)

  The category of this metric (ex. throughput, performance, utilization).

### getCategory

    public java.lang.String getCategory()

  The category of this metric (ex. throughput, performance, utilization).

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  A display name for this metric.

### getDisplayName

    public java.lang.String getDisplayName()

  A display name for this metric.

### setMetricType

    public void setMetricType(MetricType metricType)

  A description of how this metric's values change over time.

### getMetricType

    public MetricType getMetricType()

  A description of how this metric's values change over time.

### setPersistPeriod

    public void setPersistPeriod(int persistPeriod)

  The persist period for this metric.

### getPersistPeriod

    public int getPersistPeriod()

  The persist period for this metric.

### setPersistPolicy

    public void setPersistPolicy(java.lang.String persistPolicy)

  The persist policy for this metric.

### getPersistPolicy

    public java.lang.String getPersistPolicy()

  The persist policy for this metric.

### setUnit

    public void setUnit(java.lang.String unit)

  The expected unit of measurement values.

### getUnit

    public java.lang.String getUnit()

  The expected unit of measurement values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD